<?php

namespace App\Repositories;

use Illuminate\Database\Eloquent\Model;

class ChecklistVersion extends Model
{
	public $timestamps = ["created_at"];

	const UPDATED_AT = null;

	protected $guarded = ['id'];

	protected $casts = [
		'created_at' => 'date:d M Y',
	];

	protected $with = ['user'];

	public function version()
	{
		return $this->belongsTo(Version::class);
	}
	public function user()
	{
		return $this->belongsTo(User::class);
	}
}
